Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355039 - media-video/dvdauthor-0.6.14: compilation fails with media-libs/libpng-1.5.x
Summary: media-video/dvdauthor-0.6.14: compilation fails with media-libs/libpng-1.5.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL: http://sourceforge.net/mailarchive/fo...
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-15 15:36 UTC by Lars Wendler (Polynomial-C)
Modified: 2011-09-14 17:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dvdauthor-0.6.18-libpng15.patch (dvdauthor-0.6.18-libpng15.patch,529 bytes, patch)
2011-02-15 15:39 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 15:36:17 UTC
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.  -DSYSCONFDIR="\"/etc\"" -I/usr/include/libxml2 -I/usr/include/ImageMagick -I/usr/include/freetype2   -Wall -march=barcelona -O2 -pipe -MT spuunmux.o -MD -MP -MF ".deps/spuunmux.Tpo" -c -o spuunmux.o spuunmux.c; \
then mv -f ".deps/spuunmux.Tpo" ".deps/spuunmux.Po"; else rm -f ".deps/spuunmux.Tpo"; exit 1; fi
spuunmux.c: In function ‘write_png’:
spuunmux.c:463:9: error: dereferencing pointer to incomplete type
spuunmux.c:475:40: error: ‘Z_BEST_COMPRESSION’ undeclared (first use in this function)
spuunmux.c:475:40: note: each undeclared identifier is reported only once for each function it appears in
spuunmux.c:479:43: error: ‘Z_DEFAULT_STRATEGY’ undeclared (first use in this function)
spuunmux.c:523:14: warning: pointer targets in assignment differ in signedness
spuunmux.c: In function ‘xml_buf’:
spuunmux.c:564:16: warning: pointer targets in assignment differ in signedness
spuunmux.c:567:16: warning: pointer targets in assignment differ in signedness
spuunmux.c:570:16: warning: pointer targets in assignment differ in signedness
spuunmux.c:573:16: warning: pointer targets in assignment differ in signedness
spuunmux.c: In function ‘write_menu_image’:
spuunmux.c:607:5: warning: pointer targets in passing argument 1 of ‘sprintf’ differ in signedness
/usr/include/bits/stdio2.h:32:1: note: expected ‘char * __restrict__’ but argument is of type ‘unsigned char *’
spuunmux.c:608:5: warning: pointer targets in passing argument 1 of ‘write_png’ differ in signedness
spuunmux.c:420:12: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c: In function ‘write_spu’:
spuunmux.c:625:5: warning: pointer targets in passing argument 1 of ‘sprintf’ differ in signedness
/usr/include/bits/stdio2.h:32:1: note: expected ‘char * __restrict__’ but argument is of type ‘unsigned char *’
spuunmux.c:626:5: warning: pointer targets in passing argument 1 of ‘write_png’ differ in signedness
spuunmux.c:420:12: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c: In function ‘main’:
spuunmux.c:745:17: warning: pointer targets in assignment differ in signedness
spuunmux.c:760:15: warning: pointer targets in assignment differ in signedness
spuunmux.c:786:9: warning: pointer targets in passing argument 1 of ‘strrchr’ differ in signedness
/usr/include/string.h:262:14: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:792:9: warning: pointer targets in passing argument 1 of ‘fopen’ differ in signedness
/usr/include/stdio.h:280:14: note: expected ‘const char * __restrict__’ but argument is of type ‘unsigned char *’
spuunmux.c:820:5: warning: pointer targets in passing argument 1 of ‘sprintf’ differ in signedness
/usr/include/bits/stdio2.h:32:1: note: expected ‘char * __restrict__’ but argument is of type ‘unsigned char *’
spuunmux.c:821:5: warning: pointer targets in passing argument 1 of ‘fopen’ differ in signedness
/usr/include/stdio.h:280:14: note: expected ‘const char * __restrict__’ but argument is of type ‘unsigned char *’
spuunmux.c:831:2: warning: pointer targets in passing argument 1 of ‘varied_open’ differ in signedness
compat.h:114:21: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1020:29: warning: pointer targets in passing argument 1 of ‘strlen’ differ in signedness
/usr/include/string.h:399:15: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1020:29: warning: pointer targets in passing argument 1 of ‘__builtin_strcmp’ differ in signedness
spuunmux.c:1020:29: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1020:29: warning: pointer targets in passing argument 1 of ‘strlen’ differ in signedness
/usr/include/string.h:399:15: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1020:29: warning: pointer targets in passing argument 1 of ‘__builtin_strcmp’ differ in signedness
spuunmux.c:1020:29: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1020:29: warning: pointer targets in passing argument 1 of ‘__builtin_strcmp’ differ in signedness
spuunmux.c:1020:29: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1020:29: warning: pointer targets in passing argument 1 of ‘__builtin_strcmp’ differ in signedness
spuunmux.c:1020:29: note: expected ‘const char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1069:45: warning: pointer targets in passing argument 1 of ‘readpstr’ differ in signedness
spuunmux.c:112:14: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1080:49: warning: pointer targets in passing argument 1 of ‘readpstr’ differ in signedness
spuunmux.c:112:14: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1081:49: warning: pointer targets in passing argument 1 of ‘readpstr’ differ in signedness
spuunmux.c:112:14: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1082:49: warning: pointer targets in passing argument 1 of ‘readpstr’ differ in signedness
spuunmux.c:112:14: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c:1083:49: warning: pointer targets in passing argument 1 of ‘readpstr’ differ in signedness
spuunmux.c:112:14: note: expected ‘char *’ but argument is of type ‘unsigned char *’
spuunmux.c:796:23: warning: ignoring return value of ‘fscanf’, declared with attribute warn_unused_result
spuunmux.c:897:8: warning: ignoring return value of ‘fread’, declared with attribute warn_unused_result
spuunmux.c:913:9: warning: ignoring return value of ‘fread’, declared with attribute warn_unused_result
spuunmux.c:984:34: warning: ignoring return value of ‘fread’, declared with attribute warn_unused_result
spuunmux.c:1014:9: warning: ignoring return value of ‘fread’, declared with attribute warn_unused_result
spuunmux.c:1154:26: warning: ignoring return value of ‘fread’, declared with attribute warn_unused_result
make[2]: *** [spuunmux.o] Error 1


There's a fix available for dvdauthor-0.6.18 (see URL). Might be useful to do a version bump as well.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 15:39:49 UTC
Created attachment 262611 [details, diff]
dvdauthor-0.6.18-libpng15.patch

Patch from upstream mailing list. Thanks to the restless effort of the NetBSD folks ;)
Comment 2 Jory A. Pratt gentoo-dev 2011-02-16 04:53:23 UTC
(In reply to comment #1)
> Created an attachment (id=262611) [details]
> dvdauthor-0.6.18-libpng15.patch
> 
> Patch from upstream mailing list. Thanks to the restless effort of the NetBSD
> folks ;)
> 

A bit dated, I would rather see the bump made to 0.7.0 patch is trivial I can attach it if needed.
Comment 3 SpanKY gentoo-dev 2011-02-21 17:43:11 UTC
version bump is handled in bug 308899.  i just want the stupid package building on my system, so i added this patch.
Comment 4 Hanno Böck gentoo-dev 2011-09-13 12:18:34 UTC
This bug came back with the 0.6.18 ebuild.

PLEASE don't just drop patches without checking if they've been upstream-applied.
Comment 5 Samuli Suominen gentoo-dev 2011-09-14 17:10:04 UTC
(In reply to comment #4)
> This bug came back with the 0.6.18 ebuild.
> 
> PLEASE don't just drop patches without checking if they've been
> upstream-applied.

I second this. Very annoying.

+  14 Sep 2011; Samuli Suominen <ssuominen@gentoo.org> dvdauthor-0.6.18.ebuild,
+  +files/dvdauthor-0.6.18-libpng15.patch:
+  Fix building with libpng15 (again, restore dropped patch) wrt #355039 by
+  Hanno Boeck